<template>
  <div class="page-header">
    <div class="container-fluid">
      <h1 v-if="fields.title">{{ fields.title }}</h1>
      <p v-if="fields.subTitle">{{ fields.subTitle }}</p>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    fields: {
      type: Object,
      required: true
    }
  }
}
</script>

<style scoped lang="scss">
@import './assets/scss/bootstrap-variable-override';
.page-header {
  color: $blue;
  background: $grey-600;
  min-height: 16rem;
  padding-top: 2rem;
  padding-bottom: 2rem;
}
h1 {
  line-height: 1.2;
  margin-top: 12.5px;
  margin-bottom: 25px;
}
p {
  font-size: 1.375rem;
}
</style>
